#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,200,240,280,320,400,600,680,720,760,800,1600
 * N : 25,80,200,240,280,320,400,600,680,720,760,800,1600
 * NB : 9,12,12,12,16,40,40,40,12,12,40,64,40
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 9; \
   else if ((n_) < 260) (nb_) = 12; \
   else if ((n_) < 300) (nb_) = 16; \
   else if ((n_) < 640) (nb_) = 40; \
   else if ((n_) < 740) (nb_) = 12; \
   else if ((n_) < 780) (nb_) = 40; \
   else if ((n_) < 1200) (nb_) = 64; \
   else (nb_) = 40; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
